Subject: bug#15903: 24.3.50; Fix small issue with ispell-hunspell when dictionary is set to default (nil)

From: Vladimir Lomov <[email-masked]>
Date: Tue, 19 Nov 2013 21:08:59 +0900

Hello,
** Agustin Martin [2013-11-19 11:29:44 +0100]:

> On Mon, Nov 18, 2013 at 09:48:20PM +0900, Vladimir Lomov wrote:

>> After some tests I found that my /real/ Emacs configuration works,
>> this is odd because earlier it didn't. Using the same settings for test
>> files gives failure. I'll back to this problem later on this week.

> Hi,

> Just to complete info. What does 'hunspell -D' return in your box? Please
> try both with your locale and with LC_ALL=C.

Thank you, this helps me to resolve my issue. Problem was on my side, at
that time when I used to use aspell for spell checking I set environment
variable DICTIONARY to string 'russian'. Seems that fools hunspell. When
I run hunspell -D in a shell with DICTIONARY set to 'russian' hunspell
ended with

  ...
  Can't open affix or dictionary files for dictionary named "russian".

with exit code 1. When I unset that variable I get

  ...
  LOADED DICTIONARY:
  /usr/share/hunspell/ru_RU.aff
  /usr/share/hunspell/ru_RU.dic
  Hunspell 1.3.2

And if I run hunspell with LC_ALL=C:

  ...
  LOADED DICTIONARY:
  /usr/share/hunspell/en_US.aff
  /usr/share/hunspell/en_US.dic
  Hunspell 1.3.2

So when I run Emacs in a shell without variable DICTIONARY like

  LC_ALL=C emacs -Q

and perform your steps,

  (setq ispell-program-name "hunspell")
  (setq ispell-dictionary)

'evar-region' and 'M-$' some words in *scratch* buffer, then

  (message "%s" (assoc nil ispell-hunspell-dictionary-alist))

I get expected behaviour: 'M-$' checks words and
ispell-hunspell-dictionary-alist contains 'nil' entry so it is treated
correctly.

> Thanks for the feedback,

Thanks again.

Now I think this "bug" can be closed as "FIXED".

---
WBR, Vladimir Lomov

-- 
Journalism is literature in a hurry.
		-- Matthew Arnold